
// Plain framebuffer for Raspi

#ifndef KOELLI_H
#define KOELLI_H

// Some possible flags
#define KOEL_SWAP 1  // Swap 32-bit ARGB to RGBA internally. Notice that
                     // it'll trash the existing buffer!

// Size for the texture. Change to bigger if bigger buf needed.
#define KOEL_MAXX 1024
#define KOEL_MAXY 1024

void koelli_open(int xres,int yres,int depth,int flags);
void koelli_close(void);
void koelli_blit(void *buf);

#endif
